
Project Name: Gamer's Haven E-Commerce API
Developer Name: Blue Andrae De Vera

Description: Gamer's Haven is an E-Commerce website much like Datablitz and was made in MERN Stack. This website sells gaming consoles, video games, gaming peripherals, etc. online. In the future, I would add features such as payments methods using 3rd party API Stripe (payment gateway)  and login using gmail accounts using passport.JS.
Feel free to navigate using these two accounts below.

------------------------------------------------------------------------------------
FOR TESTING PURPOSES ONLY 

Admin Credentials: 
email: "admin@gmail.com"
password: "admin123"

Regular User Credentials: 
email: "sampleUser@gmail.com"
password: "sample123"

--------------------------------------------------------------------------------------

Features: 

User registration
User authentication (JWT)
User Login
Set User as Admin (ADMIN ONLY)
Retrieve all active products
Retrieve single product
Search a single product
Create product (ADMIN ONLY)
Update product values (ADMIN ONLY)
Archive product (ADMIN ONLY)
Non-admin user checkout (Create Orders)
Retrieve autheticated user's orders
Retrieve all orders
Cancelling orders (USER ONLY)
Retrieve cancelled orders (ADMIN ONLY)


--------------------------------------------------------------------------------------